local AddName, AddonTable = ...
local L = AddonTable.L


--------------------------
--		Stat Init		--
--------------------------

-- character and npc 
_, _, AddonTable.raceId = UnitRace("player")
_, AddonTable.classFilename = UnitClass("player")

-- melee
AddonTable.armorValue, AddonTable.armorDebuff, AddonTable.Resilvalue, AddonTable.baseDefense, AddonTable.defenseRating = 0, 0, 0, 0, 0
AddonTable.dodgeChance, AddonTable.parryChance, AddonTable.blockChance, AddonTable.avoid = 0, 0, 0, 0
AddonTable.hasteEnchants, AddonTable.buffCount, AddonTable.heroicPresence, AddonTable.zoneBuff = 0, 0, 0, 0
AddonTable.castHaste, AddonTable.meleeHaste, AddonTable.rangedHaste = 100, 100, 100
--mage
AddonTable.pierceMod, AddonTable.aiMod, AddonTable.playFire, AddonTable.arcticWind, AddonTable.impFrostbolt, AddonTable.arcaneFocus = 0, 0, 0, 0, 0, 0
AddonTable.impSorch, AddonTable.wintersChill, AddonTable.maxmana, AddonTable.arcanePower, AddonTable.combustionCount, AddonTable.evoc, AddonTable.totemWrath = 0, 0, 0, 0, 0, 0, 0
-- paladin
AddonTable.vengStacks, AddonTable.vengBuff, AddonTable.avenWrath, AddonTable.vengeance, AddonTable.HeartOfCrusader, AddonTable.divinity, AddonTable.avenWrath = 0, 0, 0, 0, 0, 0, 0
AddonTable.blessingSanc, AddonTable.divineProt, AddonTable.rightFury, AddonTable.riFuryTalent, AddonTable.Vengeance, AddonTable.crusadeTalent, AddonTable.heartCrusader = 0, 0, 0, 0, 0, 0, 0
-- shaman
AddonTable.stormStrike, AddonTable.tidalMastery, AddonTable.purification, AddonTable.elePrecision, AddonTable.spiritualHealing, AddonTable.emberstorm = 0, 0, 0, 0, 0, 0
AddonTable.eleMasteryHaste, AddonTable.manaTide = 0, 0
AddonTable.callofThunder = ""
-- warlock
AddonTable.shadowMastery, AddonTable.Suppression, AddonTable.curseOfWeak, AddonTable.shadowDmg, AddonTable.curseElements = 0, 0, 0, 0, 0
AddonTable.masterImp, AddonTable.masterFel, AddonTable.masterSucc, AddonTable.dsSuc, AddonTable.dsImp, AddonTable.felEnergy = 0, 0, 0, 0, 0, 0
AddonTable.shadowMastery = 0
AddonTable.devastation = ""
-- warrior
AddonTable.bloodFrenzy, AddonTable.sunderArmor, AddonTable.MaceSpec = 0, 0, 0
-- rogue
AddonTable.hemoDmg, AddonTable.exposeArmor, AddonTable.SleightTalent, AddonTable.SerratedBlades, AddonTable.savageCombat, AddonTable.LightningReflexes = 0, 0, 0, 0, 0, 0
AddonTable.bladeFlurry = 0
-- priest
AddonTable.DarkNessTalent, AddonTable.blessedResil, AddonTable.misery, AddonTable.epiphany, AddonTable.shadowFormDmg, AddonTable.innerFocus = 0, 0, 0, 0, 0, 0
-- death knight
AddonTable.icyTalons, AddonTable.bloodGorged, AddonTable.tundraStalker, AddonTable.virulence, AddonTable.frigidDread, AddonTable.frostFeverDmg, AddonTable.unholyHaste = 0, 0, 0, 0, 0, 0, 0
AddonTable.ebonPlague, AddonTable.desolation, AddonTable.frostFever, AddonTable.rageRivendare, AddonTable.rageRivenTalent = 0, 0, 0, 0, 0
-- druid
AddonTable.innervate, AddonTable.isShapeshift = 0, false 
AddonTable.balancePower, AddonTable.giftNature, AddonTable.survFittest, AddonTable.starlight, AddonTable.earthMother, AddonTable.predStrikes = 0, 0, 0, 0, 0, 0
AddonTable.faerieFire, AddonTable.insectSwarm, AddonTable.treeofLife, AddonTable.earthMoon, AddonTable.FaerieImproved, AddonTable.faerieFireImp = 0, 0, 0, 0, 0, 0
-- hunter
AddonTable.huntersMark, AddonTable.serpentSwift, AddonTable.scorpidSting, AddonTable.aspectViper = 0, 0, 0, 0
-- other
AddonTable.hitMod, AddonTable.shadowWeaving, AddonTable.debuffCount, AddonTable.shatterArmor, AddonTable.targetArmorReduced, AddonTable.targetArmor = 0, 0, 0, 0, 0, 0
AddonTable.inspiSpellHit, AddonTable.critSpellChance, AddonTable.regenBase, AddonTable.regenCasting, AddonTable.Shatter = 0,0,0,0,0
AddonTable.playerLevel = UnitLevel("player")
AddonTable.dwarfRacial, AddonTable.quickness = false, 0
AddonTable.weaponTag = 2

--------------------------------------
--		Racial Effects check		--
--------------------------------------
if (AddonTable.raceId == 3) then
	AddonTable.dwarfRacial = true
end

if (AddonTable.raceId == 4) then
	AddonTable.quickness = 2
end
	
--------------------------
--		ID Tables		--
--------------------------

-- Buffs
AddonTable.HeroicPresence = {
	[28878] = {1},
	[6562] = {1},
}

AddonTable.OutlandsBuffs = {
	[32071] = {0.05},
	[32049] = {0.05},
	[33779] = {0.05},
	[33377] = {0.05},
	[33795] = {0.05},	
}

AddonTable.BlessingOfSanc = {
	[20911] = {3},
	[25899] = {3},
}

AddonTable.Desolation = {
	[66803] = {0.05},
}

AddonTable.InnervateEffect = {
	[29166] = {2.25},
}

AddonTable.BladeFlurry = {
	[13877] = {20},
}

AddonTable.Combustion = {
	[28682] = {10},
}

AddonTable.ArcanePower = {
	[12042] = {0.3},
}

AddonTable.RighteousFury = {
	[25780] = true,
}

AddonTable.Vengeance = {
	[20050] = true,
	[20052] = true,
	[20053] = true,	
}

AddonTable.IcyVeins = {
	[12472] = {20},
}

AddonTable.TouchOfShadow = {
	[18791] = {0.15},
}

AddonTable.BurningWish = {
	[18789] = {0.15},
}

AddonTable.DivineProtection = {
	[498] = {50},
}

AddonTable.MasterDemoImp = {
	[23825] = {1},
	[23826] = {2},
	[23827] = {3},
	[23828] = {4},
	[23829] = {5},
}

AddonTable.MasterDemoSucc = {
	[23832] = {1},
	[23833] = {2},
	[23834] = {3},
	[23835] = {4},
	[23836] = {5},
}

AddonTable.MasterDemoFel = {
	[30702] = {1},
	[30703] = {2},
	[30704] = {3},
	[30705] = {4},
	[30706] = {5},
}

AddonTable.FelEnergy = {
	[18792] = {0.03},
}

AddonTable.TreeOfLife = {
	[34123] = {0.06},
}

AddonTable.AspectOfViper = {
	[34074] = {0.04}, 
}

AddonTable.Evocation = {
	[12051] = {0.6},
}

AddonTable.AvengingWrath = {
	[31884] = {0.2},
}

AddonTable.Epiphany = {
	[28804] = {30},
}

AddonTable.ShadowForm = {
	[15473] = {0.15},
}

AddonTable.InnerFocus = {
	[14751] = {25},
}

AddonTable.ElementalMastery = {
	[64701] = {15},
}

AddonTable.Flurry = {
	[12966] = {5},
	[12967] = {10},
	[12968] = {15},
	[12969] = {20},
	[12970] = {25},	
}

AddonTable.SliceAndDice = {
	[5171] = {20},
	[6774] = {40},	
}

AddonTable.BladeFlurry = {
	[13877] = {20},
}

AddonTable.IcyTalons = {
	[58578] = {20},
}

AddonTable.IcyTalonsImp = {
	[55610] = {20},
}

AddonTable.manaTideCheck = {
		[16190] = true,
		[39609] = true,
		[39610] = true,
}

AddonTable.TotemOfWrath = {
	[57658] = {3},
}

AddonTable.UnholyPresence = {
	[48265] = {15},
}

-- Debuffs
AddonTable.Blood = {
	[30069] = {0.02},
	[30070] = {0.04},
}
AddonTable.Hemo = {
	[16511] = {13},
	[17347] = {21},
	[17348] = {29},
	[26864] = {42},
}
AddonTable.Stormstrike = {
	[17364] = {0.2},
}
AddonTable.HuntsMark = {
	[1130] = {20},
	[14323] = {45},
	[14324] = {75},
	[14325] = {110},
}
AddonTable.CurseOfEl = {
	[1490] = {0.06},
	[11721] = {0.08},
	[11722] = {0.10},	
	[27228] = {0.11},
	[47865] = {0.13},
}
AddonTable.ShadowDamage = {
	[17794] = {0.04},
	[17798] = {0.08},
	[17797] = {0.12},
	[17800] = {0.2},
}
AddonTable.Misery = {
	[33196] = {1},
	[33197] = {2},
	[33198] = {3},
}
AddonTable.Scorpid = {
	[3043] = {3},
}
AddonTable.Insect = {
	[5570] = {3},
	[24974] = {3},
	[24975] = {3},
	[24976] = {3},
	[24977] = {3},
	[27013] = {3},	
}

AddonTable.EbonPlaguebringer = {
	[51726] = {0.04},
	[51734] = {0.09},
	[51735] = {0.13},
}

AddonTable.EarthAndMoon = {
	[60431] = {0.04},
	[60432] = {0.09},
	[60433] = {0.13},
}

AddonTable.FrostFever = {
	[55095] = true,
}

AddonTable.BloodPlague = {
	[55078] = true,
}

AddonTable.HeartOfCrusader = {
	[21183] = {1},
	[54498] = {2},
	[54499] = {3},
}

AddonTable.ImprovedScorch = {
	[22959] = {5},
}

AddonTable.WintersChill = {
	[12579] = {1},
}

AddonTable.SavageCombat = {
	[58684] = {0.02},
	[58683] = {0.04},
}

AddonTable.ShadowMastery = {
	[17800] = {5},
}

AddonTable.Shatter = {
	[16928] = {200},
}